Synchronization with CalDav Calendar fails (Kronolith)

NEW
Unassigned

Status

defect
5 years ago
4 years ago

People

(Reporter: fire, Unassigned)

Tracking

Lightning 3.3

Details

Attachments

(5 attachments)

User Agent: Mozilla/5.0 (X11; Linux i686; rv:31.0) Gecko/20100101 Firefox/31.0
Build ID: 20140716183446

Steps to reproduce:

Create new CalDav Calendar
Use a calendar located on www.hetzner.de webspace like

https://webmail.your-server.de/rpc/calendars/tester@bitmuster.org/calendar~Yv2si9NBvwskVe69cYgkTw3/

(I'm willing to share login credentials via PM)



Actual results:

Synchronization fails / is not performed.
Thunderbird also doesn't even ask for a password.
After choosing "Synchronization" from the context menu the status bar shows "Checking Calendars..." for some time.

After adding an event and clicking on synchronization, an error window appeears:

An error occurred when writing to the calendar test
Error code: MODIFICATION_FAILED
Description: Status Code: 2147746065, The request cannot be processed.
Server Replied with 500

After that the error console shows:

[JavaScript Warning: "There has been an error reading data for calendar: tesr.  However, this error is believed to be minor, so the program will attempt to continue. Error code: DAV_PUT_ERROR. Description: There was an error storing the item on the server."]



Expected results:

Calender is synchronized and accessible.

It works fine with evolution 3.4.4
as well as with the Firefox OS Simulator 1.3.
Are you sure the configuration is correct? Error code 500 indicates an internal server error. If you want, you can pass me the credentials via pm to get this checked at the Lightning end.
Hello MakeMyDay,

Thanks for answering.

The thing is that thunderbird didn't ask me for a username and a password. 

Luckily, I've just managed to get access this calendar from another user account with a fresh thunderbird installation.

On my old account I have another calendar configured at webmail.your-server.de but with a different url and different credentials.
When I take a look into the "Saved Passwords" dialog I see one stored password for "https://webmail.your-server.de (Horde DAV Server)" with credentials for my other account.

Is it maybe possible that thunderbird tries to access both of my calendars with the same username and password? 
This might mean that just the domain-name is taken to distinguish between caldav accounts and not the rest of the url.

To verify this I have created another caldav test account.

Login data is on the way via PM.

Thanks for having a look.

Best Regards Michael
Lightning generally expects to access different calendars on a server with the same account. To support multiple accounts on the same server, you have to enable calendar.network.multirealm - does this resolve your issue?
Hi MakeMyDay,

thanks a lot. Enabling calendar.network.multirealm fixes the issue.
I understand now that this is a feature :)

However, I think there should be more information for the user. The user can call "Synchronize Calendars" from the context menu and there is no info that the access fails. No little warning sign and nothing on the console.
As most calendars are empty after creation it seems like everything is ok after adding the calendar.
Unfortunately, the error message appears only after trying to write to the calendar.

Regards Michael
Hello,

well unfortunately, I've found out, that enabling calendar.network.multirealm didn't fix everything.
I can observe that I sometimes can access two calendars but it fails for more than two.
In my current setup I have my calendar, a task list and two test calendars (all caldav). 
Which of them works changes sometimes on TB restart and seems to depend on the order I save the passwords for them.

After enabling multirealm I see more messages on the error console (see below).

And I still won't give up :) All I like to do is to find a problem in the firefox os calendar which seems to be confused by some TB events.


Does maybe anybody have an Idea what is causing the problem?
Thanks

Regards, Michael




# Error Console

[JavaScript Warning: "There has been an error reading data for calendar: tester@bitmuster.org.  However, this error is believed to be minor, so the program will attempt to continue. Error code: DAV_REPORT_ERROR. Description: There has been an error reading data for calendar: https://webmail.your-server.de/rpc/calendars/tester@bitmuster.org/calendar~Yv2si9NBvwskVe69cYgkTw3/. It has been disabled until it is safe to use it."]

[JavaScript Warning: "There has been an error reading data for calendar: tester@bitmuster.org.  However, this error is believed to be minor, so the program will attempt to continue. Error code: READ_FAILED. Description: "]

[JavaScript Warning: "There has been an error reading data for calendar: tester2@bitmuster.org.  However, this error is believed to be minor, so the program will attempt to continue. Error code: DAV_REPORT_ERROR. Description: There has been an error reading data for calendar: https://webmail.your-server.de/rpc/calendars/tester2@bitmuster.org/calendar~_TG1NJEBApviP_i6yjWe-g1/. It has been disabled until it is safe to use it."]

[JavaScript Warning: "There has been an error reading data for calendar: tester2@bitmuster.org.  However, this error is believed to be minor, so the program will attempt to continue. Error code: READ_FAILED. Description: "]

# Error Console, different start


Timestamp: 09/12/2014 11:25:12 PM
Warning: Use of getAttributeNodeNS() is deprecated. Use getAttributeNS() instead.
Source File: resource://calendar/modules/calXMLUtils.jsm
Line: 32
(Four times)

[JavaScript Warning: "There has been an error reading data for calendar: Tasks. Error code: DAV_REPORT_ERROR. Description: There has been an error reading data for calendar: https://webmail.your-server.de/rpc/calendars/xxx@bitmuster.org/tasks:xxx@bitmuster.org/. It has been disabled until it is safe to use it."]

[JavaScript Warning: "There has been an error reading data for calendar: Tasks. Error code: READ_FAILED. Description: "]

[JavaScript Warning: "CalDAV: Get failed: CalDAV: Error: got status 500 fetching calendar data for tester2@bitmuster.org, null"]

[JavaScript Warning: "There has been an error reading data for calendar: tester2@bitmuster.org.  However, this error is believed to be minor, so the program will attempt to continue. Error code: 0x80004005. Description: CalDAV: Error: got status 500 fetching calendar data for tester2@bitmuster.org, null"]

[JavaScript Warning: "There has been an error reading data for calendar: tester2@bitmuster.org.  However, this error is believed to be minor, so the program will attempt to continue. Error code: READ_FAILED. Description: "]

[JavaScript Warning: "There has been an error reading data for calendar: Calendar. Error code: DAV_REPORT_ERROR. Description: There has been an error reading data for calendar: https://webmail.your-server.de/rpc/calendars/xxx@bitmuster.org/calendar:xxx@bitmuster.org/. It has been disabled until it is safe to use it."]

[JavaScript Warning: "There has been an error reading data for calendar: Calendar. Error code: READ_FAILED. Description: "]

[JavaScript Error: "[calCachedCalendar] replay action failed: null, uri=https://webmail.your-server.de/rpc/calendars/xxx@bitmuster.org/calendar:xxx@bitmuster.org/, result=2147500037, op=[xpconnect wrapped calIOperation]"]
Have you a stable connection when expieriencing this problem? This is probably similar to the description in bug bug 1066708.
Hi,

my connection is stable (DSL).

Bug 1066708 just addresses just the authentication windows. However, I can observe bug 1066708 too. My workaround for this one is to give the calendar a name and the name is shown in the auth window.

I've also found out, that when all calendars are deleted and only a single one that didn't work is left, then TB is restarted, the calendar suddenly begins to work.

Regards
Whiteboard: [calconnect31]
Could you enable calendar.debug.log and calendar.debug.log.verbose in the advanced config editor (Options > Advanced > General > Config Editor) and show us some logs about what is happening when you do this?

This way we can figure out what request is getting the 500. Given the error message, I do think its a server bug though.
Whiteboard: [calconnect31]
Hello Philipp,

I activated both of the options you mentioned. 

I started thunderbird, added an event to the functioning calendar and then an event to the non-functioning calendar. I copied the entries from the error console manually as they contain more verbose entries (Maybe this is also an issue). I hope that's ok. 
Please see log attached.

You seem to be right, I found this here in the log:

...
CalDAV: recv: <html>
<head><title>Horde :: Fatal Error</title></head>
<body style="background:#fff; color:#000"><h1>A fatal error has occurred</h1><h3>Call to a member function toHash() on a non-object</h3><h3>Details have been logged for the administrator.</h3></body></html>
...

I'm still confused.
Do you still think this is a bug in kronolith?

Regards Michael
Posted file startup log
my calendar, all ok
other user calendar, all ko
Posted file ssl_access.log
web server error log
thunderbird lightining UI error
hi all, this is my own scenario:

os - linux mint 16
tb - thunderbird 24.6.0
cal - lightning 2.6.6
webm - horde groupware webmail edition 5.2.2
webc - kronolith 4.2.2
httpd - httpd-2.2.15-31.sl6.x86_64

I'm focusing on remotely managing horde calendars from TB via lightning+calDAV, I followed the instructions provided @ http://wiki.horde.org/KronolithSunbird

when I create and share a calendar from my account I can add it in lightning without any problem [I can add/modify/delete events, dismiss reminders, ...]. success log is available @ attachment 8508731 [details].

when I add another user's shared calendar I get the error as in attachment 8508746 [details] and I can't do anything [I've checked every available permission on this calendar for my account!]. you can see https log [attachment 8508745 [details]] and thunderbird log [attachment 8508740 [details]].

in the last month the issue drove me crazy, I'm not even sure this is about thunderbird/lightning bug; btw I'm running out of ideas so I'm going to write @horde_user_list as well...

thanks and regards
Attachment #8508731 - Attachment mime type: text/x-log → text/plain
Attachment #8508740 - Attachment mime type: text/x-log → text/plain
Attachment #8508745 - Attachment mime type: text/x-log → text/plain
Duffy, thanks for posting your logs. The log Michael posted, indicated already, that there are already infromation about a serverside problem:

<html>
<head><title>Horde :: Fatal Error</title></head>
<body style="background:#fff; color:#000"><h1>A fatal error has occurred</h1><h3>Call to a member function toHash() on a non-object</h3><h3>Details have been logged for the administrator.</h3></body></html>

Unfortunately, he has had no access to the error log of the server.

Please check the error log (either apache error log - you posted the access log - or separate Horde log, if any) at your server for more details regarding the two failing PROPFIND and PUT requests - eventually it might be helpful to set the serverside log level to debug.

Furthermore, I noticed your Lightning log with the failing request contains only the failing PROPFIND request. Also, all request uris do point only the calendar, for which the operations seem to work. Please double check this.
I have the same problem i think. Altering my own calendar works perfectly. Nothing goes with shared calendars in kronolith... Is there any progress since the last comment?
As mentioned above, without access to the server logs, a further analysis is not possible. Are you on the same version of Kronolith as Duffy?

Duffy, did you check your server log?
Status: UNCONFIRMED → NEW
Ever confirmed: true
hi MakeMyDay, sorry that it took some time before I come back to you...

I checked server logs:

[Tue Dec 09 19:46:10 2014] [error] [client my.ip.addr] PHP Fatal error:  Call to a member function toHash() on a non-object in /var/www/html/webmail/kronolith/lib/Application.php on line 686
[Tue Dec 09 19:46:45 2014] [error] [client my.ip.addr] PHP Fatal error:  Call to a member function toHash() on a non-object in /var/www/html/webmail/kronolith/lib/Application.php on line 686

unfortunately that's all I have here. any ideas?

btw I saw there are updates available for several components involved:

Horde Groupware Webmail Edition 5.2.2		A newer version (5.2.4) exists.
Calendar Calendar (kronolith) 4.2.2		A newer version (4.2.4) exists.
Horde_Dav 1.1.0					A newer version (1.1.2) exists.

cheers!
duffy
from announce@lists.horde.org:

The major changes compared to Kronolith version H5 (4.2.3) are:
    * Fixed disclosure of private events in daily agenda.
    * Fixed adding and updating events via CalDAV.
    * Fixed incomplete month views.
    * Small bugfixes and improvements.

I guess I've to test it, hope it's been solved so far...
from announce@lists.horde.org:

The major changes compared to Kronolith version H5 (4.2.3) are:
    * Fixed disclosure of private events in daily agenda.
    * Fixed adding and updating events via CalDAV.
    * Fixed incomplete month views.
    * Small bugfixes and improvements.

I guess I've to test it, hope it's been solved so far...
updated, no luck :( at least I don't see server side errors anymore....

my new environment:

* Horde Groupware Webmail Edition 5.2.4
* Calendar Calendar (kronolith) 4.2.4
* Horde_Dav 1.1.2

below you can see my thunderbird console entries:

CalDAV: send: <?xml version="1.0" encoding="UTF-8"?>
<D:propfind xmlns:D="DAV:" xmlns:CS="http://calendarserver.org/ns/" xmlns:C="urn:ietf:params:xml:ns:caldav"><D:prop><D:resourcetype/><D:owner/><D:current-user-principal/><D:supported-report-set/><C:supported-calendar-component-set/><CS:getctag/></D:prop></D:propfind>

CalDAV: Status 207 on initial PROPFIND for calendar testone

CalDAV: Authentication scheme for testone is Basic

CalDAV: recv: <?xml version="1.0" encoding="utf-8"?>
<d:multistatus xmlns:d="DAV:" xmlns:s="http://sabredav.org/ns" xmlns:cal="urn:ietf:params:xml:ns:caldav" xmlns:cs="http://calendarserver.org/ns/" xmlns:card="urn:ietf:params:xml:ns:carddav"><d:response><d:href>/webmail/rpc.php/calendars/test.user/calendar~zvAPf_DhxPQbK7y8JVoFuA1</d:href><d:propstat><d:prop><d:resourcetype/><d:owner/><d:current-user-principal/><d:supported-report-set/><cal:supported-calendar-component-set/><cs:getctag/></d:prop><d:status>HTTP/1.1 403 Forbidden</d:status></d:propstat></d:response></d:multistatus>

CalDAV: No resource type received, testone doesn't seem to point to a DAV resource

[JavaScript Warning: "There has been an error reading data for calendar: testone.  However, this error is believed to be minor, so the program will attempt to continue. Error code: DAV_NOT_DAV. Description: The resource at https://horde.ip.addr/webmail/rpc.php/calendars/test.user/calendar~zvAPf_DhxPQbK7y8JVoFuA1/ is either not a DAV collection or not available"]

[JavaScript Warning: "There has been an error reading data for calendar: testone.  However, this error is believed to be minor, so the program will attempt to continue. Error code: READ_FAILED. Description: "]


have you achieved this?
I'm getting server errors, again....

my.ip.addr - - [10/Dec/2014:16:23:58 +0100] "PROPFIND /webmail/rpc.php/calendars/test.user/calendar~zvAPf_DhxPQbK7y8JVoFuA1/ HTTP/1.1" 401 212
my.ip.addr - my.user [10/Dec/2014:16:24:53 +0100] "PROPFIND /webmail/rpc.php/calendars/test.user/calendar~zvAPf_DhxPQbK7y8JVoFuA1/ HTTP/1.1" 207 355
(In reply to MakeMyDay from comment #18)
> As mentioned above, without access to the server logs, a further analysis is
> not possible. Are you on the same version of Kronolith as Duffy?

Hi, sorry for the long reply time

Here are the server versions that are in use:

The Horde version is 5.2.3 (Retrived from the http header)
Kronolit version is 4.2.4 (Requested from customer support)

I hope that helps somehow

Regards, Michael
Based on your posts, you are both on v4.2.4 of Kronolith now, which doesn't seem to fail with an internal server error anymore, so Horde seeems to have fixed something on their end.

Duffy, your log from comment #22 indicates, that the server not allows access to the respective ressource:

> CalDAV: recv: <?xml version="1.0" encoding="utf-8"?>
> <d:multistatus xmlns:d="DAV:" xmlns:s="http://sabredav.org/ns"
> xmlns:cal="urn:ietf:params:xml:ns:caldav"
> xmlns:cs="http://calendarserver.org/ns/"
> xmlns:card="urn:ietf:params:xml:ns:carddav"><d:response><d:href>/webmail/rpc.
> php/calendars/test.user/calendar~zvAPf_DhxPQbK7y8JVoFuA1</d:href><d:
> propstat><d:prop><d:resourcetype/><d:owner/><d:current-user-principal/><d:
> supported-report-set/><cal:supported-calendar-component-set/><cs:getctag/></
> d:prop><d:status>HTTP/1.1 403
> Forbidden</d:status></d:propstat></d:response></d:multistatus>
> 
> CalDAV: No resource type received, testone doesn't seem to point to a DAV
> resource
> 
> [JavaScript Warning: "There has been an error reading data for calendar:
> testone.  However, this error is believed to be minor, so the program will
> attempt to continue. Error code: DAV_NOT_DAV. Description: The resource at
> https://horde.ip.addr/webmail/rpc.php/calendars/test.user/
> calendar~zvAPf_DhxPQbK7y8JVoFuA1/ is either not a DAV collection or not
> available"]


In combination with comment #23

> my.ip.addr - - [10/Dec/2014:16:23:58 +0100] "PROPFIND /webmail/rpc.php/calendars/test.user/calendar~zvAPf_DhxPQbK7y8JVoFuA1/ HTTP/1.1" 401 212
> my.ip.addr - my.user [10/Dec/2014:16:24:53 +0100] "PROPFIND /webmail/rpc.php/calendars/test.user/calendar~zvAPf_DhxPQbK7y8JVoFuA1/ HTTP/1.1" 207 355

this means:

1. the target calendar exists (no 404 response)
2. the user was successfully authenticated (proved by the profinds from comment #23, 207 after 401)
3. the user has no permission to access the target calendar (response code 403)

Duffy, what is your setting for calendar.network.multirealm (in config editor) and does toggling it change anything?
One more thing: in comment #15 you posted a link to a Lightning setup wiki page. The steps described there lead you to subscribe to a webdav calendar instead of a caldav one. Can you make sure in the config editor, that you have setup caldav subscriptions to you calendars? Please check calendar.registry.{guid}.type in the config editor for this.
Is this still an issue for any of you?
Flags: needinfo?(marcoperugini)
Flags: needinfo?(fire)
Hi,

my thunderbird has updated itself to 31.6.0.
From my point it is still the same:: one of the calendars is not available.
On the error console I see the same error messages that I've posted on 2014-09-12 14:59:16 PDT  (Comment 5).
The magic multirealm feature is also still enabled.

Regards, Michael
Flags: needinfo?(fire)
Hi all!

I ran my "test suite" again...

my client side test environment:
- my host - linux mint 17
- mail client - thunderbird 31.6.0
- calendar client - lightning 3.3.3

my server side test environment:
- web mail - horde groupware webmail edition 5.2.5
- web calendar - kronolith 4.2.5
- horde dav module - Horde_Dav 1.1.2
- apache web server - httpd-2.2.15-31.sl6.x86_64

the scenario is user A shares his calendar with user B; according to horde, user B has 3 ways to subscribe:
1- https://my.webmail/webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics
2- https://my.webmail/webmail/rpc.php/calendars/userA/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/
3- https://my.webmail/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/

###### case 1: ######

symptoms - when adding calendar it works [I can see events] until I try to dismiss one or more reminders; at that point calendar goes read only.

calendar.network.multirealm - true

calendar.registry.42c8b130-5b09-40a0-a750-a0b2d1a37356.type - ics

- ssl_access_log - 
my.ip.addr - - [13/Apr/2015:14:54:28 +0200] "GET /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 401 212
my.ip.addr - userB [13/Apr/2015:14:54:39 +0200] "GET /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 200 1155
my.ip.addr - userB [13/Apr/2015:14:54:59 +0200] "GET /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 200 1153
my.ip.addr - userB [13/Apr/2015:14:55:00 +0200] "PUT /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 404 238
my.ip.addr - userB [13/Apr/2015:14:55:00 +0200] "GET /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 200 1154

- ssl_request_log - 
[13/Apr/2015:14:54:28 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 212
[13/Apr/2015:14:54:39 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 1155
[13/Apr/2015:14:54:59 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 1153
[13/Apr/2015:14:55:00 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "PUT /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 238
[13/Apr/2015:14:55:00 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "GET /webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics HTTP/1.1" 1154

- thunderbird output -
[calICSCalendar] Refreshing ics
[calICSCalendar] Loading ICS succeeded, needs further processing: true
[calICSCalendar] Parsing ICS succeeded for https://my.webmail/webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics
[calICSCalendar] Commencing write of ICS Calendar ics
[calICSCalendar] Writing ICS File https://my.webmail/webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics
[calICSCalendar] channel.requestSucceeded: false
[JavaScript Warning: "There has been an error reading data for calendar: ics. It has been placed in read-only mode, since changes to this calendar will likely result in data-loss.  You may change this setting by choosing 'Edit Calendar'. Error code: DAV_PUT_ERROR. Description: Publishing the calendar file failed
Status code: 0"]
Timestamp: 13/04/2015 14:53:25
Error: An error occurred when writing to the calendar ics! Error code: MODIFICATION_FAILED. Description: 
Source File: resource://calendar/modules/calUtils.jsm -> file:///home/duffy/.thunderbird/w5sdua8c.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calCalendarManager.js
Line: 936
[calICSCalendar] Refreshing ics (forced)
[calICSCalendar] Loading ICS succeeded, needs further processing: true
[calICSCalendar] Parsing ICS succeeded for https://my.webmail/webmail/rpc.php/kronolith/userA/NxiXKz1cqwB3G0Ox1en4Ig1.ics
Timestamp: 13/04/2015 14:53:33
Error: : <error>'<error>' when calling method: [calICalendar::modifyItem]
Source File: resource://calendar/modules/calUtils.jsm -> file:///home/duffy/.thunderbird/w5sdua8c.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calAlarmService.js
Line: 199
Timestamp: 13/04/2015 14:53:34
Error: : <error>'<error>' when calling method: [calICalendar::modifyItem]
Source File: resource://calendar/modules/calUtils.jsm -> file:///home/duffy/.thunderbird/w5sdua8c.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calAlarmService.js
Line: 182

###### case 2: ######

symptoms - when adding calendar it doesn't work [I can't see events/reminders].

calendar.network.multirealm - true

calendar.registry.7b76f227-1e38-4d6f-acf8-65c6f633b1bf.type - caldav

- ssl_access_log - 
my.ip.addr - - [13/Apr/2015:15:04:30 +0200] "PROPFIND /webmail/rpc.php/calendars/userA/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 401 212
my.ip.addr - userB [13/Apr/2015:15:05:17 +0200] "PROPFIND /webmail/rpc.php/calendars/userA/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 500 1233

- ssl_request_log - 
[13/Apr/2015:15:04:30 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "PROPFIND /webmail/rpc.php/calendars/userA/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 212
[13/Apr/2015:15:05:17 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "PROPFIND /webmail/rpc.php/calendars/userA/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 1233

- ssl_error_log -
[Mon Apr 13 15:05:18 2015] [error] [client my.ip.addr] PHP Fatal error:  Call to a member function toHash() on a non-object in /var/www/html/webmail/kronolith/lib/Application.php on line 686

- thunderbird output -
CalDAV: send: <?xml version="1.0" encoding="UTF-8"?>
<D:propfind xmlns:D="DAV:" xmlns:CS="http://calendarserver.org/ns/" xmlns:C="urn:ietf:params:xml:ns:caldav"><D:prop><D:resourcetype/><D:owner/><D:current-user-principal/><D:supported-report-set/><C:supported-calendar-component-set/><CS:getctag/></D:prop></D:propfind>
CalDAV: Status 500 on initial PROPFIND for calendar gio_dav
CalDAV: Server not available 500, abort sync for calendar gio_dav

###### case 3: ######

symptoms - when adding calendar it seems working [even if I can't see events] until I try to dismiss one or more reminders; at that point calendar is stuck in "checking calendars..." state.

calendar.network.multirealm - true

calendar.registry.cbbf0fce-d2a3-4e48-b2c5-d86da2e268a3.type - caldav

- ssl_access_log - 
my.ip.addr - userB [13/Apr/2015:15:24:38 +0200] "PROPFIND /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 207 491
my.ip.addr - userB [13/Apr/2015:15:24:39 +0200] "OPTIONS /webmail/rpc.php/calendars/userB/ HTTP/1.1" 200 26
my.ip.addr - userB [13/Apr/2015:15:24:39 +0200] "PROPFIND /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 207 539
my.ip.addr - userB [13/Apr/2015:15:24:39 +0200] "REPORT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 207 1604
my.ip.addr - userB [13/Apr/2015:15:24:56 +0200] "PUT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/be__G-n2PE5OTPh8k3CQbQ2.ics HTTP/1.1" 204 26
my.ip.addr - userB [13/Apr/2015:15:24:57 +0200] "REPORT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 207 683
my.ip.addr - userB [13/Apr/2015:15:24:59 +0200] "PUT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/mog0hPMMX-6BBiphGwFOGg3.ics HTTP/1.1" 204 26
my.ip.addr - userB [13/Apr/2015:15:25:00 +0200] "REPORT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 207 678

- ssl_request_log - 
[13/Apr/2015:15:24:38 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "PROPFIND /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 491
[13/Apr/2015:15:24:39 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "OPTIONS /webmail/rpc.php/calendars/userB/ HTTP/1.1" 26
[13/Apr/2015:15:24:39 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "PROPFIND /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 539
[13/Apr/2015:15:24:39 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "REPORT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 1604
[13/Apr/2015:15:24:56 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "PUT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/be__G-n2PE5OTPh8k3CQbQ2.ics HTTP/1.1" 26
[13/Apr/2015:15:24:57 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "REPORT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 683
[13/Apr/2015:15:24:59 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "PUT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/mog0hPMMX-6BBiphGwFOGg3.ics HTTP/1.1" 26
[13/Apr/2015:15:25:00 +0200] my.ip.addr TLSv1.2 ECDHE-RSA-AES128-GCM-SHA256 "REPORT /webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ HTTP/1.1" 678

- thunderbird output -
CalDAV: send: <?xml version="1.0" encoding="UTF-8"?>
<D:propfind xmlns:D="DAV:" xmlns:CS="http://calendarserver.org/ns/" xmlns:C="urn:ietf:params:xml:ns:caldav"><D:prop><D:resourcetype/><D:owner/><D:current-user-principal/><D:supported-report-set/><C:supported-calendar-component-set/><CS:getctag/></D:prop></D:propfind>
CalDAV: Status 207 on initial PROPFIND for calendar duff_dav
CalDAV: Authentication scheme for duff_dav is Basic
CalDAV: recv: <?xml version="1.0" encoding="utf-8"?>
<d:multistatus xmlns:d="DAV:" xmlns:s="http://sabredav.org/ns" xmlns:cal="urn:ietf:params:xml:ns:caldav" xmlns:cs="http://calendarserver.org/ns/" xmlns:card="urn:ietf:params:xml:ns:carddav"><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/</d:href><d:propstat><d:prop><d:current-user-principal><d:href>/webmail/rpc.php/principals/userB/</d:href></d:current-user-principal><d:owner><d:href>/webmail/rpc.php/principals/userB/</d:href></d:owner><cal:supported-calendar-component-set><cal:comp name="VEVENT"/></cal:supported-calendar-component-set><d:resourcetype><d:collection/><cal:calendar/></d:resourcetype><d:supported-report-set><d:supported-report><d:report><cal:calendar-multiget/></d:report></d:supported-report><d:supported-report><d:report><cal:calendar-query/></d:report></d:supported-report><d:supported-report><d:report><cal:free-busy-query/></d:report></d:supported-report><d:supported-report><d:report><d:expand-property/></d:report></d:supported-report><d:supported-report><d:report><d:principal-property-search/></d:report></d:supported-report><d:supported-report><d:report><d:principal-search-property-set/></d:report></d:supported-report></d:supported-report-set></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat><d:propstat><d:prop><cs:getctag/></d:prop><d:status>HTTP/1.1 404 Not Found</d:status></d:propstat></d:response></d:multistatus>
Timestamp: 13/04/2015 15:23:03
Warning: Use of getAttributeNodeNS() is deprecated. Use getAttributeNS() instead.
Source File: resource://calendar/modules/calXMLUtils.jsm
Line: 32
Adding supported items: VEVENT for calendar: duff_dav
CalDAV: Found principal url from DAV:current-user-principal /webmail/rpc.php/principals/userB/
CalDAV: send: OPTIONS https://my.webmail/webmail/rpc.php/calendars/userB/
CalDAV: DAV header: 1, 3, extended-mkcol, calendar-access, calendar-proxy, addressbook, 2, access-control, calendarserver-principal-property-search
CalDAV: Server does not support CalDAV scheduling.
CalDAV: send(https://my.webmail/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/): <?xml version="1.0" encoding="UTF-8"?>
<D:propfind xmlns:D="DAV:"><D:prop><D:getcontenttype/><D:resourcetype/><D:getetag/></D:prop></D:propfind>
CalDAV: recv: 
<d:multistatus><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/</d:href><d:propstat><d:prop><d:resourcetype><d:collection></d:collection><cal:calendar></cal:calendar></d:resourcetype></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat><d:propstat><d:prop><d:getcontenttype></d:getcontenttype><d:getetag></d:getetag></d:prop><d:status>HTTP/1.1 404 Not Found</d:status></d:propstat></d:response><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/mog0hPMMX-6BBiphGwFOGg3.ics</d:href><d:propstat><d:prop><d:getcontenttype>text/calendar; charset=utf-8</d:getcontenttype><d:resourcetype></d:resourcetype><d:getetag>"fbc410ab9beca3775cbba457bb103c0b"</d:getetag></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat></d:response><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/be__G-n2PE5OTPh8k3CQbQ2.ics</d:href><d:propstat><d:prop><d:getcontenttype>text/calendar; charset=utf-8</d:getcontenttype><d:resourcetype></d:resourcetype><d:getetag>"1c343500d6635721851f25e61adcaf5d"</d:getetag></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat></d:response><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/KazmhRBz7C_2Ve6gfJqn7g1.ics</d:href><d:propstat><d:prop><d:getcontenttype>text/calendar; charset=utf-8</d:getcontenttype><d:resourcetype></d:resourcetype><d:getetag>"58c05ac679d585bca5f8faf1efce7513"</d:getetag></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat></d:response></d:multistatus>
CalDAV: send(https://my.webmail/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/): <?xml version="1.0" encoding="UTF-8"?>
<C:calendar-multiget xmlns:D="DAV:" xmlns:C="urn:ietf:params:xml:ns:caldav"><D:prop><D:getetag/><C:calendar-data/></D:prop><D:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/KazmhRBz7C_2Ve6gfJqn7g1.ics</D:href><D:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/be__G-n2PE5OTPh8k3CQbQ2.ics</D:href><D:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/mog0hPMMX-6BBiphGwFOGg3.ics</D:href></C:calendar-multiget>
CalDAV: recv: 
<d:multistatus><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/KazmhRBz7C_2Ve6gfJqn7g1.ics</d:href><d:propstat><d:prop><cal:calendar-data>BEGIN:VCALENDAR
VERSION:2.0
X-WR-CALNAME:test condiviso
PRODID:-//The Horde Project//Horde iCalendar Library//EN
BEGIN:VEVENT
DTSTART;TZID=Europe/Rome:20150413T113000
DTEND;TZID=Europe/Rome:20150413T123000
DTSTAMP:20150413T132439Z
UID:20150410152722.RZSXQKfvrqczpYt4uR-h_A2@my.webmail
CREATED:20150410T132722Z
LAST-MODIFIED:20150413T131405Z
SUMMARY:cauzione
CLASS:PUBLIC
STATUS:TENTATIVE
TRANSP:OPAQUE
X-MOZ-LASTACK:20150413T132439Z
RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO
BEGIN:VALARM
ACTION:DISPLAY
DESCRIPTION:cauzione
TRIGGER;VALUE=DURATION:-PT1440M
END:VALARM
END:VEVENT
BEGIN:VTIMEZONE
TZID:Europe/Rome
BEGIN:STANDARD
DTSTART:18660922T000000
TZOFFSETFROM:+0049
TZOFFSETTO:+0049
TZNAME:RMT
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19160603T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19161001T000000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19170401T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19170930T000000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19180310T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19181006T000000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=1SU;UNTIL=19191004T230000Z
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19190302T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:DAYLIGHT
TZOFFSETFROM:+0200
TZOFFSETTO:+0200
DTSTART:19200321T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19200919T000000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19400615T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0100
DTSTART:19421102T020000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19430329T020000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19431004T020000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19440403T020000
RRULE:FREQ=YEARLY;BYMONTH=4;BYDAY=1MO;UNTIL=19450401T010000Z
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19441002T020000
TZNAME:CE-T
END:STANDARD
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0100
DTSTART:19440917T000000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19450402T020000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19450915T000000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19460317T020000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19461006T020000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19470316T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19471005T000000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19480229T020000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19481003T020000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19660522T000000
RRULE:FREQ=YEARLY;BYMONTH=5;BYMONTHDAY=22,23,24,25,26,27,28;BYDAY=1SU;UNTIL
 =19680525T230000Z
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19660925T000000
RRULE:FREQ=YEARLY;BYMONTH=9;BYMONTHDAY=22,23,24,25,26,27,28;BYDAY=1SU;UNTIL
 =19690927T230000Z
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19690601T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:DAYLIGHT
TZOFFSETFROM:+0200
TZOFFSETTO:+0200
DTSTART:19700531T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19700927T000000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9;UNTIL=19700926T230000Z
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19710523T000000
RRULE:FREQ=YEARLY;BYMONTH=5;BYMONTHDAY=22,23,24,25,26,27,28;BYDAY=1SU;UNTIL
 =19720527T230000Z
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19710926T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9;UNTIL=19710926T000000Z
TZNAME:CE-T
END:STANDARD
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0100
DTSTART:19721001T000000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19730603T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19730930T000000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9;UNTIL=19740928T230000Z
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19740526T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:DAYLIGHT
TZOFFSETFROM:+0200
TZOFFSETTO:+0200
DTSTART:19750601T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19750928T000000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9;UNTIL=19770924T230000Z
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19760530T000000
TZNAME:CEST
END:DAYLIGHT
BEGIN:DAYLIGHT
TZOFFSETFROM:+0200
TZOFFSETTO:+0200
DTSTART:19770522T000000
RRULE:FREQ=YEARLY;BYMONTH=5;BYMONTHDAY=22,23,24,25,26,27,28;BYDAY=1SU;UNTIL
 =19790526T230000Z
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19781001T000000
TZNAME:CE-T
END:STANDARD
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0100
DTSTART:19790930T000000
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19800406T010000
RRULE:FREQ=YEARLY;BYMONTH=4;BYDAY=1SU;UNTIL=19800406T000000Z
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19800928T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=9;UNTIL=19950923T230000Z
TZNAME:CE-T
END:STANDARD
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19810329T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
TZNAME:CEST
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19961027T010000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
TZNAME:CE-T
END:STANDARD
END:VTIMEZONE
END:VCALENDAR
</cal:calendar-data><d:getetag>"58c05ac679d585bca5f8faf1efce7513"</d:getetag></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat></d:response><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/be__G-n2PE5OTPh8k3CQbQ2.ics</d:href><d:propstat><d:prop><cal:calendar-data>BEGIN:VCALENDAR
VERSION:2.0
X-WR-CALNAME:test condiviso
PRODID:-//The Horde Project//Horde iCalendar Library//EN
BEGIN:VEVENT
DTSTART:20150409T140000Z
DTEND:20150409T150000Z
DTSTAMP:20150413T132439Z
UID:20150410152547.thsYmOY6MeTXVX19H676wQ5@my.webmail
CREATED:20150410T132547Z
LAST-MODIFIED:20150413T131343Z
SUMMARY:rimozione
CLASS:PUBLIC
STATUS:CONFIRMED
TRANSP:OPAQUE
BEGIN:VALARM
ACTION:DISPLAY
DESCRIPTION:rimozione
TRIGGER;VALUE=DURATION:-PT60M
END:VALARM
END:VEVENT
END:VCALENDAR
</cal:calendar-data><d:getetag>"1c343500d6635721851f25e61adcaf5d"</d:getetag></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat></d:response><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/mog0hPMMX-6BBiphGwFOGg3.ics</d:href><d:propstat><d:prop><cal:calendar-data>BEGIN:VCALENDAR
VERSION:2.0
X-WR-CALNAME:test condiviso
PRODID:-//The Horde Project//Horde iCalendar Library//EN
BEGIN:VEVENT
DTSTART:20150407T220000Z
DTEND:20150407T230000Z
DTSTAMP:20150413T132439Z
UID:20150410152459.uE3yNZXlScEFuQrJEjFbAg2@my.webmail
CREATED:20150410T132459Z
LAST-MODIFIED:20150413T131410Z
SUMMARY:estrazione
CLASS:PUBLIC
STATUS:CONFIRMED
TRANSP:OPAQUE
BEGIN:VALARM
ACTION:DISPLAY
DESCRIPTION:estrazione
TRIGGER;VALUE=DURATION:-PT15M
END:VALARM
END:VEVENT
END:VCALENDAR
</cal:calendar-data><d:getetag>"fbc410ab9beca3775cbba457bb103c0b"</d:getetag></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat></d:response></d:multistatus>
aChangeLogListener=null
calendarURI=https://my.webmail/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ 
iscached=false
this.mQueuedQueries.length=6
CalDAV: send: BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
BEGIN:VEVENT
CREATED:20150410T132547Z
LAST-MODIFIED:20150413T132320Z
DTSTAMP:20150413T132320Z
UID:20150410152547.thsYmOY6MeTXVX19H676wQ5@my.webmail
SUMMARY:rimozione
STATUS:CONFIRMED
X-MOZ-LASTACK:20150413T132320Z
DTSTART:20150409T140000Z
DTEND:20150409T150000Z
CLASS:PUBLIC
TRANSP:OPAQUE
X-MOZ-GENERATION:1
BEGIN:VALARM
ACTION:DISPLAY
TRIGGER;VALUE=DURATION:-PT60M
DESCRIPTION:rimozione
END:VALARM
END:VEVENT
END:VCALENDAR
CalDAV: recv: 
CalDAV: Item modified successfully on duff_dav
CalDAV: send(https://my.webmail/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/): <?xml version="1.0" encoding="UTF-8"?>
<C:calendar-multiget xmlns:D="DAV:" xmlns:C="urn:ietf:params:xml:ns:caldav"><D:prop><D:getetag/><C:calendar-data/></D:prop><D:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/be__G-n2PE5OTPh8k3CQbQ2.ics</D:href></C:calendar-multiget>
CalDAV: recv: 
<d:multistatus><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/be__G-n2PE5OTPh8k3CQbQ2.ics</d:href><d:propstat><d:prop><cal:calendar-data>BEGIN:VCALENDAR
VERSION:2.0
X-WR-CALNAME:test condiviso
PRODID:-//The Horde Project//Horde iCalendar Library//EN
BEGIN:VEVENT
DTSTART:20150409T140000Z
DTEND:20150409T150000Z
DTSTAMP:20150413T132457Z
UID:20150410152547.thsYmOY6MeTXVX19H676wQ5@my.webmail
CREATED:20150410T132547Z
LAST-MODIFIED:20150413T132456Z
SUMMARY:rimozione
CLASS:PUBLIC
STATUS:CONFIRMED
TRANSP:OPAQUE
X-MOZ-LASTACK:20150413T132457Z
BEGIN:VALARM
ACTION:DISPLAY
DESCRIPTION:rimozione
TRIGGER;VALUE=DURATION:-PT60M
END:VALARM
END:VEVENT
END:VCALENDAR
</cal:calendar-data><d:getetag>"0c656550d489abc1cd8171477a4c8650"</d:getetag></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat></d:response></d:multistatus>
aChangeLogListener=undefined
calendarURI=https://my.webmail/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ 
iscached=false
this.mQueuedQueries.length=0
CalDAV: send: BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
BEGIN:VEVENT
CREATED:20150410T132459Z
LAST-MODIFIED:20150413T132324Z
DTSTAMP:20150413T132324Z
UID:20150410152459.uE3yNZXlScEFuQrJEjFbAg2@my.webmail
SUMMARY:estrazione
STATUS:CONFIRMED
X-MOZ-LASTACK:20150413T132324Z
DTSTART:20150407T220000Z
DTEND:20150407T230000Z
CLASS:PUBLIC
TRANSP:OPAQUE
X-MOZ-GENERATION:1
BEGIN:VALARM
ACTION:DISPLAY
TRIGGER;VALUE=DURATION:-PT15M
DESCRIPTION:estrazione
END:VALARM
END:VEVENT
END:VCALENDAR
CalDAV: recv: 
CalDAV: Item modified successfully on duff_dav
CalDAV: send(https://my.webmail/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/): <?xml version="1.0" encoding="UTF-8"?>
<C:calendar-multiget xmlns:D="DAV:" xmlns:C="urn:ietf:params:xml:ns:caldav"><D:prop><D:getetag/><C:calendar-data/></D:prop><D:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/mog0hPMMX-6BBiphGwFOGg3.ics</D:href></C:calendar-multiget>
CalDAV: recv: 
<d:multistatus><d:response><d:href>/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/mog0hPMMX-6BBiphGwFOGg3.ics</d:href><d:propstat><d:prop><cal:calendar-data>BEGIN:VCALENDAR
VERSION:2.0
X-WR-CALNAME:test condiviso
PRODID:-//The Horde Project//Horde iCalendar Library//EN
BEGIN:VEVENT
DTSTART:20150407T220000Z
DTEND:20150407T230000Z
DTSTAMP:20150413T132500Z
UID:20150410152459.uE3yNZXlScEFuQrJEjFbAg2@my.webmail
CREATED:20150410T132459Z
LAST-MODIFIED:20150413T132459Z
SUMMARY:estrazione
CLASS:PUBLIC
STATUS:CONFIRMED
TRANSP:OPAQUE
X-MOZ-LASTACK:20150413T132500Z
BEGIN:VALARM
ACTION:DISPLAY
DESCRIPTION:estrazione
TRIGGER;VALUE=DURATION:-PT15M
END:VALARM
END:VEVENT
END:VCALENDAR
</cal:calendar-data><d:getetag>"a91aeca96b9ee48b8c2cf3a457fff649"</d:getetag></d:prop><d:status>HTTP/1.1 200 OK</d:status></d:propstat></d:response></d:multistatus>
aChangeLogListener=undefined
calendarURI=https://my.webmail/webmail/rpc.php/calendars/userB/calendar~NxiXKz1cqwB3G0Ox1en4Ig1/ 
iscached=false
this.mQueuedQueries.length=0
Flags: needinfo?(marcoperugini)
something to add about my tests: all the client/server output you can see above concerns dismissing reminders! when I join a shared calendar I usually find events, with reminders associated, created by calendar's owner; so the first action I try is dismissing old reminders and that's when I get errors. but if I ignore reminders and add one or more events it works, even if I edit events created by the owner. the issue comes out when deleting something: an event created by me or by the owner, a reminder set by me or the owner...
In Comment 29 you wrote that you tested with the old Lightning 3.3 release. Could you retest with the upcoming Lightning 4.0 release for Thunderbird 38? Both are currently available as Beta releases. Might be possible that some things changed in the meantime.
You need to log in before you can comment on or make changes to this bug.